Bug 207468 - print/pnm2ppa port resurrection
Summary: print/pnm2ppa port resurrection
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-24 22:56 UTC by Miroslav Lachman
Modified: 2016-02-29 18:03 UTC (History)
1 user (show)

See Also:


Attachments
patch agains old deleted port (2.78 KB, patch)
2016-02-24 22:56 UTC, Miroslav Lachman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miroslav Lachman 2016-02-24 22:56:55 UTC
Created attachment 167371 [details]
patch agains old deleted port

Port was deleted a year ago as deprecated and unmaintained. I am still using HP DeskJet 710c printer. I dug it out from the grave and did few changes to support staging, USES etc.

I will maintain this port as log as I will use it.
Comment 1 Miroslav Lachman 2016-02-24 23:03:12 UTC
https://lists.freebsd.org/pipermail/freebsd-ports/2016-February/102143.html

I forgot to mention it - the port was successfully tested with "poudriere testport".
Comment 2 Kurt Jaeger freebsd_committer 2016-02-25 17:15:56 UTC
testbuilds@work
Comment 3 commit-hook freebsd_committer 2016-02-29 17:05:34 UTC
A commit references this bug:

Author: pi
Date: Mon Feb 29 17:05:02 UTC 2016
New revision: 409817
URL: https://svnweb.freebsd.org/changeset/ports/409817

Log:
  Resurrect port: print/pnm2ppa

  This software creates output using the PPA (printer performance
  architecture) protocol.  This protocol is used by some HP "Windows-only"
  printers, including the HP Deskjet 820C series, the HP DeskJet 720 series,
  and the HP DeskJet 1000 series.  It has been tested on all three printers,
  but your personal experience (positive or negative) is very much appreciated!

  WWW: http://pnm2ppa.sourceforge.net/

  PR:		207468
  Submitted by:	Miroslav Lachman <000.fbsd@quip.cz>

Changes:
  head/MOVED
  head/print/Makefile
  head/print/pnm2ppa/
  head/print/pnm2ppa/Makefile
  head/print/pnm2ppa/pkg-install
  head/print/pnm2ppa/pkg-plist
Comment 4 Kurt Jaeger freebsd_committer 2016-02-29 18:03:11 UTC
Committed, thanks!